List wage types
curl --request GET \
--url https://api.example.com/gb/wage-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/gb/wage-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/gb/wage-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 123,
"wage_type_code": "<string>",
"name": "<string>",
"description": "<string>",
"rti_payment_type": "<string>",
"ni_employee_applies": true,
"is_class_1a_applicable": true,
"is_ae_qualifying": true,
"uses_ae_bands": true,
"is_holiday_pay_included": true,
"is_salary_sacrifice_allowed": true,
"uses_official_interest_rate": true,
"valid_from": "2023-12-25",
"valid_to": "2023-12-25",
"calculation_variants": [
"<string>"
],
"thresholds": {},
"regularity_window_weeks": 123,
"regularity_threshold_periods": 123,
"legislative_source": "<string>",
"owner": "<string>",
"reviewer": "<string>",
"last_reviewed_at": "2023-12-25",
"is_gross_up": false,
"is_notional": false,
"deduction_tax_treatment": "post_tax"
}
],
"pagination": {
"limit": 123,
"has_next": false,
"has_prev": false,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"total": 0
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Wage Types
List wage types
Get paginated list of GB wage types with optional filters.
GET
/
gb
/
wage-types
List wage types
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Filter to versions valid on date
Filter by status Lifecycle status of wage type.
Available options:
draft, approved, deprecated Filter by category Category of GB wage type.
Available options:
earnings, deductions, benefits, statutory, pension, contributions, adjustments, reimbursements Include deprecated wage types
Page size
Required range:
1 <= x <= 100Pagination cursor
Was this page helpful?
⌘I